Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Objref_Var_T< T > Class Template Reference

Parameterized implementation of `_var` class for object references. More...

`#include <Objref_VarOut_T.h>`

Inheritance diagram for TAO_Objref_Var_T< T >:

[legend]
Collaboration diagram for TAO_Objref_Var_T< T >:

[legend]
List of all members.

## Public Types
typedef T | _obj_type
typedef T * | _in_type
typedef T *& | _inout_type
typedef T *& | _out_type
typedef T * | _retn_type
## Public Methods
| TAO_Objref_Var_T (void)
| TAO_Objref_Var_T (T *p)
| TAO_Objref_Var_T (const TAO_Objref_Var_T< T > &)
| ~TAO_Objref_Var_T (void)
TAO_Objref_Var_T< T > & | operator= (T *)
TAO_Objref_Var_T< T > & | operator= (const TAO_Objref_Var_T< T > &)
T * | operator-> (void) const
| operator T *const & () const
| operator T *& ()
_in_type | in (void) const
_inout_type | inout (void)
_out_type | out (void)
_retn_type | _retn (void)
_retn_type | ptr (void) const
## Protected Methods
void | free (void)
void | reset (T *)
## Protected Attributes
T * | ptr_
## Private Methods
| TAO_Objref_Var_T (const TAO_Base_var &)
void | operator= (const TAO_Base_var &)

## Detailed Description

### template<typename T>
class TAO_Objref_Var_T< T >

Parameterized implementation of `_var` class for object references.

## Member Typedef Documentation

template<typename T>
typedef T* TAO_Objref_Var_T< T >::_in_type

template<typename T>
typedef T*& TAO_Objref_Var_T< T >::_inout_type

template<typename T>
typedef T TAO_Objref_Var_T< T >::_obj_type

template<typename T>
typedef T*& TAO_Objref_Var_T< T >::_out_type

template<typename T>
typedef T* TAO_Objref_Var_T< T >::_retn_type

## Constructor & Destructor Documentation

template<typename T>
TAO_Objref_Var_T< T >::TAO_Objref_Var_T | ( | void |  | ) |

template<typename T>
TAO_Objref_Var_T< T >::TAO_Objref_Var_T | ( | T * | p | ) | `[inline]`

template<typename T>
TAO_Objref_Var_T< T >::TAO_Objref_Var_T | ( | const TAO_Objref_Var_T< T > & |  | ) |

template<typename T>
TAO_Objref_Var_T< T >::~TAO_Objref_Var_T | ( | void |  | ) |

template<typename T>
TAO_Objref_Var_T< T >::TAO_Objref_Var_T | ( | const TAO_Base_var & |  | ) | `[private]`

## Member Function Documentation

template<typename T>
T * TAO_Objref_Var_T< T >::_retn | ( | void |  | ) |

template<typename T>
void TAO_Objref_Var_T< T >::free | ( | void |  | ) | `[protected]`

template<typename T>
T * TAO_Objref_Var_T< T >::in | ( | void |  | ) | const

template<typename T>
T *& TAO_Objref_Var_T< T >::inout | ( | void |  | ) |

template<typename T>
TAO_Objref_Var_T< T >::operator T *& | ( |  | ) |

template<typename T>
TAO_Objref_Var_T< T >::operator T *const & | ( |  | ) |

template<typename T>
T * TAO_Objref_Var_T< T >::operator-> | ( | void |  | ) | const

template<typename T>
void TAO_Objref_Var_T< T >::operator= | ( | const TAO_Base_var & |  | ) | `[private]`

| Reimplemented from TAO_Base_var.

template<typename T>
TAO_Objref_Var_T< T > & TAO_Objref_Var_T< T >::operator= | ( | const TAO_Objref_Var_T< T > & |  | ) |

template<typename T>
TAO_Objref_Var_T< T > & TAO_Objref_Var_T< T >::operator= | ( | T * |  | ) |

template<typename T>
T *& TAO_Objref_Var_T< T >::out | ( | void |  | ) |

template<typename T>
T * TAO_Objref_Var_T< T >::ptr | ( | void |  | ) | const

template<typename T>
void TAO_Objref_Var_T< T >::reset | ( | T * |  | ) | `[protected]`

## Member Data Documentation

template<typename T>
T* TAO_Objref_Var_T< T >::ptr_`[protected]`

The documentation for this class was generated from the following files:

- Objref_VarOut_T.h
- Objref_VarOut_T.cpp